Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231866 - Create Certificate System 7.3 channels
Summary: Create Certificate System 7.3 channels
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 17:27 UTC by Kevin Unthank
Modified: 2007-04-26 13:50 UTC (History)
4 users (show)

Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 02:33:54 UTC


Attachments (Terms of Use)
screenshot shows that the channels are not visible to qa@redhat.com (deleted)
2007-04-05 17:04 UTC, Chandrasekar Kannan
no flags Details
using qa@redhat.com against webqa as of 1:29pm April 10th (deleted)
2007-04-10 17:29 UTC, Bret McMillan
no flags Details

Description Kevin Unthank 2007-03-12 17:27:40 UTC
Certificate System 7.3 is scheduled to ship in early april so we need to make
sure  channels are in RHN

Copying Matt Webbink should be able to check in an updated csv file

In addition to the existing platforms we also need channels under RHEL5 i386 and
x86_64

Comment 1 Matt Webbink 2007-03-15 19:43:59 UTC
New Certificate System 7.3 channels have been added to revision # 113299 of
rhel-rhis-channels.csv.

Please push to QA for testing.

Comment 2 Kevin Unthank 2007-03-23 18:29:02 UTC
Any update on this bug? Matt commited the updated spreadsheet a week ago
and we cannot see the channels on QA yet.

Comment 3 Bret McMillan 2007-03-28 21:11:22 UTC
Channels should now be on webqa.

Comment 4 wes hayutin 2007-03-29 19:16:05 UTC
Is this bug referring to " RHN Internal Support Tools"?  Please provide details
on where to look for the Certificate system.

Comment 5 Kevin Unthank 2007-04-03 23:18:48 UTC
We just checked on webqa and do not see the channels under
RHEL 4 ES i386 32bit
RHEL 4 AS i386 32bit

Comment 6 Bret McMillan 2007-04-05 02:44:44 UTC
Both child channels do exist in the webqa db:

SQL> select id from rhnchannel where label = 'rhel-i386-as-4-rhcmsys-7.3';

        ID
----------
      7112

SQL> select label from rhnchannel where id = (select parent_channel from
rhnchannel where label = 'rhel-i386-as-4-rhcmsys-7.3');

LABEL
--------------------------------------------------------------------------------
rhel-i386-as-4

SQL> select id from rhnchannel where label = 'rhel-i386-es-4-rhcmsys-7.3';

        ID
----------
      7113

SQL> select label from rhnchannel where id = (select parent_channel from
rhnchannel where label = 'rhel-i386-es-4-rhcmsys-7.3');

LABEL
--------------------------------------------------------------------------------
rhel-i386-es-4

SQL> 


Furthermore, both channels live in the 'rhel-rhcmsys' channel family, so any sku
that provides that channel family should provide access to those channels.

What username are you using for rhn.webqa.redhat.com to test this with?


Comment 7 Chandrasekar Kannan 2007-04-05 14:00:54 UTC
I used 'qa@redhat.com' to verify this. 

Comment 8 Chandrasekar Kannan 2007-04-05 17:04:21 UTC
Created attachment 151782 [details]
screenshot shows that the channels are not visible to qa@redhat.com

Comment 9 Bret McMillan 2007-04-10 17:17:18 UTC
webqa got refreshed yesterday, i may have to re-run the mappings.

Comment 10 Bret McMillan 2007-04-10 17:29:52 UTC
Created attachment 152159 [details]
using qa@redhat.com against webqa as of 1:29pm April 10th

I suspect the channel got blown away by the webqa db refresh.  Channel has been
re-created, and I can see it with the qa@redhat.com account.

Comment 11 Chandrasekar Kannan 2007-04-16 21:34:39 UTC
I'm able to see the following channels on webqa. Please make these channels
available in rhn production also.

Channel Name  	Packages  	Systems
Parent Channel Button Red Hat Enterprise Linux (v. 5 for 32-bit x86) 	2254 	13
Child Channel Red Hat Certificate System 7.3 (for RHEL 5 for x86) 	0 	0
Parent Channel Button Red Hat Enterprise Linux (v. 5 for 64-bit x86_64) 	2968 	5
Child Channel Red Hat Certificate System 7.3 (for RHEL 5 for 64-bit x86_64) 	0 	0
Parent Channel Button Red Hat Enterprise Linux AS (v. 4 for 32-bit x86) 	3654 	135
Child Channel Red Hat Certificate System 7.3 (for AS v. 4 for x86) 	0 	0
Parent Channel Button Red Hat Enterprise Linux AS (v. 4 for 64-bit AMD64/Intel
EM64T) 	4147 	51
Child Channel Red Hat Certificate System 7.3 (for AS v. 4 for AMD64/EM64T) 	0 	0
Parent Channel Button Red Hat Enterprise Linux ES (v. 4 for 32-bit x86) 	3654 	6
Child Channel Red Hat Certificate System 7.3 (for ES v. 4 for x86) 	0 	0
Parent Channel Button Red Hat Enterprise Linux ES (v. 4 for AMD64/Intel EM64T) 
4147 	3
Child Channel Red Hat Certificate System 7.3 (for ES v. 4 for AMD64/EM64T) 	0 	0
Parent Channel Button Solaris 9 	0 	0
Child Channel Red Hat Certificate System 7.3 (for Solaris 9) 	0 	0





Comment 12 Chandrasekar Kannan 2007-04-20 13:01:14 UTC
Is this channel list available in rhn.production yet ?. We are planning to go
live next
week. Any help appreciated . thanks.

Comment 13 Matt Webbink 2007-04-23 18:58:18 UTC
Please push to Production.

Comment 14 Bret McMillan 2007-04-23 20:21:56 UTC
RT filed:  https://rt.corp.redhat.com/rt3/Ticket/Display.html?id=366273

Comment 15 Bret McMillan 2007-04-24 02:33:54 UTC
Channels should now there in production:

SQL> select id from rhnchannel where label = 'rhel-i386-as-4-rhcmsys-7.3';

        ID
----------
      7088



Note You need to log in before you can comment on or make changes to this bug.